revdep-rebuild impossible

Conversations générales au sujet de Sabayon Linux

Moderator: Moderators

revdep-rebuild impossible

Postby Gerinald » Fri Dec 01, 2006 6:50

Bonjour,
Suite à mon poste : http://www.sabayonlinux.org/forum/viewt ... 4662#14662

J'ouvre donc un nouveau post ;o)

Comme dit dans le titre, je butte sur mon revdep-rebuild.

Voici le message d'erreur dans son entièreté.

Code: Select all
localhost gerard # revdep-rebuild
Configuring search environment for revdep-rebuild

Checking reverse dependencies...

Packages containing binaries and libraries broken by a package update
will be emerged.

Collecting system binaries and libraries... using existing /root/.revdep-rebuild.1_files.

Collecting complete LD_LIBRARY_PATH... using existing /root/.revdep-rebuild.2_ldpath.

Checking dynamic linking consistency... using existing /root/.revdep-rebuild.3_rebuild.

Assigning files to ebuilds... using existing /root/.revdep-rebuild.4_ebuilds.

Evaluating package order... using existing /root/.revdep-rebuild.5_order.

All prepared. Starting rebuild...
emerge --oneshot  =x11-misc/xscreensaver-5.01 =x11-misc/notification-daemon-0.3.6 =x11-misc/xvidcap-1.1.4_rc1 =dev-java/swt-3.2-r2 =net-print/gnome-cups-manager-0.31-r1 =media-sound/madplay-0.15.2b =media-sound/musepack-tools-1.15v =media-sound/timidity++-2.13.2-r2 =media-sound/mpg123-0.59s-r11 =app-text/wv-1.2.0 =app-text/libwpd-0.8.4 =app-text/wv2-0.2.3 =media-libs/gst-plugins-0.8.12 =media-libs/gdk-pixbuf-0.22.0-r5 =media-libs/libao-0.8.6-r2 =media-libs/xine-lib-1.1.2-r2 =media-libs/libipoddevice-0.4.5 =dev-libs/libmal-0.31 =net-wireless/gnome-bluetooth-0.7.0-r1 =app-arch/file-roller-2.16.1 =app-emulation/wine-0.9.24 =dev-util/glade-2.12.1 =dev-util/anjuta-1.2.4-r1 =dev-util/devhelp-0.12 =dev-util/glade-3.0.1 =dev-cpp/libgnomecanvasmm-2.12.0 =dev-cpp/gconfmm-2.12.0 =dev-cpp/libgnomeuimm-2.12.0 =dev-cpp/gconfmm-2.0.2 =dev-cpp/libglademm-2.2.0 =dev-cpp/libgnomeuimm-2.0.0 =dev-cpp/gnome-vfsmm-2.12.0 =dev-cpp/libgnomemm-2.12.2 =dev-cpp/libgnomemm-2.0.1 =dev-cpp/libgnomecanvasmm-2.0.1 =dev-cpp/libglademm-2.6.2 =sys-devel/gcc-4.1.1-r1 =sys-devel/distcc-2.18.3-r10 =media-video/mplayer-1.0_rc1 =media-video/vlc-0.8.5-r5 =media-video/kaffeine-0.8.2-r1 =media-gfx/imagemagick-6.2.9.5-r1 =media-gfx/gimp-2.3.11 =x11-libs/wxGTK-2.6.3.3 =x11-libs/goffice-0.2.1 =x11-libs/libgksu-2.0.0 =x11-libs/gtksourceview-1.8.1 =x11-libs/gksu-2.0.0 =net-firewall/firestarter-1.0.3 =dev-dotnet/glade-sharp-2.8.2 =dev-dotnet/gsf-sharp-0.8 =dev-dotnet/gnome-sharp-2.8.2 =dev-dotnet/glade-sharp-1.0.10 =dev-dotnet/gnome-sharp-1.0.10 =media-plugins/gst-plugins-esd-0.8.12 =media-plugins/gst-plugins-gnomevfs-0.8.12 =media-plugins/gst-plugins-cdparanoia-0.10.10 =media-plugins/gst-plugins-esd-0.10.3 =media-plugins/gst-plugins-cdparanoia-0.8.12 =media-plugins/gst-plugins-gconf-0.10.3 =media-plugins/libvisual-plugins-0.2.0 =media-plugins/gst-plugins-gnomevfs-0.10.10 =app-office/openoffice-2.0.4 =app-office/abiword-2.4.5 =kde-base/kdemultimedia-arts-3.5.5 =kde-base/konq-plugins-3.5.5 =kde-base/ksayit-3.5.5 =kde-base/krec-3.5.5 =kde-base/kpilot-3.5.5 =kde-base/kdeartwork-kscreensaver-3.5.5 =kde-base/kalarm-3.5.5 =kde-base/noatun-3.5.5 =kde-base/khotkeys-3.5.5 =kde-base/noatun-plugins-3.5.5 =kde-base/arts-3.5.5 =kde-base/kaddressbook-3.5.5 =kde-base/juk-3.5.5 =kde-base/artsplugin-xine-3.5.5 =kde-base/kicker-3.5.5-r91 =kde-base/libkonq-3.5.5 =kde-base/kdemultimedia-kioslaves-3.5.5 =kde-base/kwifimanager-3.5.5 =kde-base/kdelibs-3.5.5-r7 =kde-base/kaboodle-3.5.5 =kde-base/kttsd-3.5.5 =kde-base/artsplugin-audiofile-3.5.4 =kde-base/artsplugin-akode-3.5.5 =net-misc/networkmanager-0.6.4_pre20061115 =net-misc/tsclient-0.148 =x11-themes/gtk-engines-qt-0.7-r1 =dev-python/gnome-python-2.16.0 =dev-python/gnome-python-extras-2.14.0-r1 =dev-python/pygtk-2.10.3 =dev-python/pyorbit-2.14.1 =app-cdr/cdrdao-1.2.1-r1 =app-cdr/graveman-0.3.12_p5 =app-accessibility/dasher-4.2.0 =dev-perl/gtk-perl-glade-0.7008-r1 =dev-perl/gtk-perl-0.7009-r2 =dev-perl/gtk2-gladexml-1.006 =dev-perl/gnome2-vfs-perl-1.060
..........
Calculating dependencies
emerge: there are no ebuilds to satisfy "=x11-misc/xscreensaver-5.01".


revdep-rebuild failed to emerge all packages
you have the following choices:

- if emerge failed during the build, fix the problems and re-run revdep-rebuild
    or
- use -X or --package-names as first argument (trys to rebuild package, not exact
  ebuild)
    or
- set ACCEPT_KEYWORDS="~<your platform>" and/or /etc/portage/package.unmask
  (and remove /root/.revdep-rebuild.5_order to be evaluated again)
    or
- modify the above emerge command and run it manually
    or
- compile or unmerge unsatisfied packages manually, remove temporary files and
  try again (you can edit package/ebuild list first)

To remove temporary files, please run:
rm /root/.revdep-rebuild*.?_*


Si je lit bien, il y a un souci avec ""emerge: there are no ebuilds to satisfy "=x11-misc/xscreensaver-5.01".""

Je fait donc un emerge xscreensaver, et voilà le résultat :

Code: Select all
localhost gerard # emerge xscreensaver
Calculating dependencies... done!
>>> starting parallel fetching

>>> Emerging (1 of 22) gnome-base/libglade-2.6.0 to /
>>> Downloading 'http://distfiles.gentoo.org/distfiles/libglade-2.6.0.tar.bz2'
--06:43:11--  http://distfiles.gentoo.org/distfiles/libglade-2.6.0.tar.bz2
           => `/usr/portage/distfiles/libglade-2.6.0.tar.bz2'
Résolution de distfiles.gentoo.org... 216.165.129.135, 156.56.247.195, 64.50.238.52, ...
Connexion vers distfiles.gentoo.org|216.165.129.135|:80...connecté.
requête HTTP transmise, en attente de la réponse...200 OK
Longueur: 319,004 (312K) [application/x-tar]

100%[=================================================================================================================>] 319,004      261.52K/s

06:43:13 (260.77 KB/s) - « /usr/portage/distfiles/libglade-2.6.0.tar.bz2 » sauvegardé [319004/319004]

 * checking ebuild checksums ;-) ...                                                                                                                   [ ok ]
 * checking auxfile checksums ;-) ...                                                                                                                  [ ok ]
 * checking miscfile checksums ;-) ...                                                                                                                 [ ok ]
 * checking libglade-2.6.0.tar.bz2 ;-) ...                                                                                                             [ ok ]
>>> Unpacking source...
>>> Unpacking libglade-2.6.0.tar.bz2 to /var/tmp/portage/gnome-base/libglade-2.6.0/work
 * Fixing OMF Makefiles ...                                                                                                                            [ ok ]
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/gnome-base/libglade-2.6.0/work/libglade-2.6.0 ...
 * Applying Makefile.in.am-2.4.2-xmlcatalog.patch ...                                                                                                  [ ok ]
 * Running elibtoolize in: libglade-2.6.0
 *   Applying portage-1.5.10.patch ...
 *   Applying sed-1.5.6.patch ...
 * econf: updating libglade-2.6.0/config.sub with /usr/share/gnuconfig/config.sub
 * econf: updating libglade-2.6.0/config.guess with /usr/share/gnuconfig/config.guess
./configure --prefix=/usr --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --disable-gtk-doc --build=i686-pc-linux-gnu
checking for a BSD-compatible install... /bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking if debuging support was requested... yes
checking for i686-pc-linux-gnu-gcc... no
checking for gcc... gcc
checking for C compiler default output file name... configure: error: C compiler cannot create executables
See `config.log' for more details.

!!! Please attach the following file when filing a report to bugs.gentoo.org:
!!! /var/tmp/portage/gnome-base/libglade-2.6.0/work/libglade-2.6.0/config.log

!!! ERROR: gnome-base/libglade-2.6.0 failed.
Call stack:
  ebuild.sh, line 1564:   Called dyn_compile
  ebuild.sh, line 937:   Called src_compile
  libglade-2.6.0.ebuild, line 33:   Called gnome2_src_compile
  gnome2.eclass, line 63:   Called gnome2_src_configure
  gnome2.eclass, line 59:   Called econf '--disable-gtk-doc'
  ebuild.sh, line 540:   Called die

!!! econf failed
!!! If you need support, post the topmost build error, and the call stack if relevant.


Que puis je donc faire ??

@micalement
@+ Gerinald
Rien ne sert de courir, tout vient à point à qui sait attendre sa distro personnel :)
Gerinald
Growing Hen
 
Posts: 158
Joined: Tue Nov 21, 2006 13:50
Location: Bois d'Haine (Belgique)

Postby turquoise » Fri Dec 01, 2006 13:16

La chose la plus simple seraitt d'enlever xscreensaver quite à le réinstaller plus tard.

Je viens d'essayer emerge xscreensaver chez-moi et ça fonctionne donc c'est peut-être quelque chose que tu as enlevé qui cause le problème ou peut-être une histoire de mise à jour. Je suppose que tu as bien fait un emerge --sync récemment, alors c'est peut-être au niveau des overlays. Il n'y a que l'overlay de Sabayon d'installé par défaut et tu peux le mettre à jour en tapant
Code: Select all
layman -s sabayon
turquoise
Old Dear Hen
 
Posts: 719
Joined: Wed Nov 15, 2006 1:14
Location: Abitibi-Témiscamingue!

Postby Gerinald » Fri Dec 01, 2006 18:17

Hello,
Bon, rien à faire, et je commence à sentir la moutarde me monter au nez.

Je désinstalle Xscreensaver, OK, désinstallation bien effectuée.
Je fait une layman, comme ça, je me dit que l'overlay que tu préconise se mettra en ordre.
Je fait un revdep-rebuild ............ arghhh, même souci que déjà fourni dans le post plus haut ....alors que je n'ai plus xsreensaver.

Je reboote, je refait la commande revdep, toujours pareil ????????????????????????

Je fait un emerge xscreensaver, je le voit installé le tout.

je refait un revdep, et de nouveau même message.

Là, je commence à perdre patience :twisted: :twisted: :twisted:

Bon sang, qu'on me disent une fois pour toute quoi faire.

@+Gerinald
Rien ne sert de courir, tout vient à point à qui sait attendre sa distro personnel :)
Gerinald
Growing Hen
 
Posts: 158
Joined: Tue Nov 21, 2006 13:50
Location: Bois d'Haine (Belgique)

Postby turquoise » Fri Dec 01, 2006 18:54

Je crois que je sais ce que c'est cette fois : il faut que tu enlèves les fichiers générés lors de ta tentaive précédente.
Code: Select all
rm /root/.revdep-rebuild*.?_*
turquoise
Old Dear Hen
 
Posts: 719
Joined: Wed Nov 15, 2006 1:14
Location: Abitibi-Témiscamingue!

Postby Gerinald » Fri Dec 01, 2006 19:38

turquoise wrote:Je crois que je sais ce que c'est cette fois : il faut que tu enlèves les fichiers générés lors de ta tentaive précédente.
Code: Select all
rm /root/.revdep-rebuild*.?_*


Snifffff, sniffff, mme avec cette commande, rien à faire.

J'en peu plus, je sent que je suis bon pour tout réinstallé.
Bon sang, si on peut meme pas enlevé un logiciels sans avoir un souci, j'ai peur que cela va faire fuir du monde.
Et moi qui essaye de faire venir du monde sur SL :o(

Merci quand mme, mais là, j'arrete de chercher après chimère.

Bisous et merci pour tout

@+ Gerinald
Rien ne sert de courir, tout vient à point à qui sait attendre sa distro personnel :)
Gerinald
Growing Hen
 
Posts: 158
Joined: Tue Nov 21, 2006 13:50
Location: Bois d'Haine (Belgique)

Postby Gerinald » Fri Dec 01, 2006 19:49

Bon autre chose maintenant.
En relisant le paquet de liste qui avait défilé, je repére que libglade cause aussi des souci.
Fort bien, je tente d'installer cette dll, et voici ce qu'il ose me dire :
Code: Select all
!!! Please attach the following file when filing a report to bugs.gentoo.org:<br>!!! /var/tmp/portage/gnome-base/libglade-2.6.0/work/libglade-2.6.0/config.log<br>!!! econf failed<br>!!! If you need support, post the topmost build error, and the call stack if relevant.<br>


Je veut installer Gnome-base, et je revient sur le même message, on tourne en rond quoi.

@+Gerinald
Rien ne sert de courir, tout vient à point à qui sait attendre sa distro personnel :)
Gerinald
Growing Hen
 
Posts: 158
Joined: Tue Nov 21, 2006 13:50
Location: Bois d'Haine (Belgique)

Postby turquoise » Fri Dec 01, 2006 20:00

Idem que pour xscreensaver, t'enlèves quite à réinstaller plus tard.
turquoise
Old Dear Hen
 
Posts: 719
Joined: Wed Nov 15, 2006 1:14
Location: Abitibi-Témiscamingue!

Postby xenon341 » Fri Dec 01, 2006 20:06

Arf gerinald dommage epour ton problème, ne te décourage pas, en plus, si tu fini par partir de sabayon, y'aura plus beaucoup de monde dans le thread français pour aider, les seuls membres qui aident pour le moment sont turquoise et toi, et ptetre 1 ou 2 autres de temps en temps.
Vient faire un tour sur le chan IRC pour demander de l'aide, pose ta question dans les forum generaux, pas seulement dans français !
je ne sais quoi te conseiller d'autre parce que je ne connais pas la solution a ton problème malheureusement

@plouche :)
Toshiba X200-20F | C2D T7300 | 2Go RAM | nVIdia 8700M GT | Sabayon 4.1K x86_64 ///// AMD Athlon XP 3200+ | Asus A7N8X-Dlx Rev 2.0 | 1Go RAM DDR PC3200 Dual Channel | ATI Radeon 9700Pro | Sabayon 3.2 :)
xenon341
Simple Hen
 
Posts: 51
Joined: Sat Nov 18, 2006 15:57
Location: Montpellier (FRANCE)

Postby Gerinald » Fri Dec 01, 2006 20:21

turquoise wrote:Idem que pour xscreensaver, t'enlèves quite à réinstaller plus tard.


Hello,
Code: Select all
localhost gerard # emerge unmerge xscreensaver
*** Deprecated use of action 'unmerge', use '--unmerge' instead

--- Couldn't find 'xscreensaver' to unmerge.

>>> No packages selected for removal by unmerge.

localhost gerard # emerge unmerge libglade
*** Deprecated use of action 'unmerge', use '--unmerge' instead

--- Couldn't find 'libglade' to unmerge.

>>> No packages selected for removal by unmerge.

localhost gerard #


Et les erreurs continue toujours et encore.

Xenon, j'ai pas dit que j'allai partir de SL, je l'aime assez bien, mais elle me pose de sérieux problème, sans compter que pas mal de personnes ont aussi des prblème à l'install.

SL n'est pas encore suffisament stable, mais cela viendra, suffit de dire ce qui ne va pas et de le signaler, afin que ces erreurs n'appareiassent plus dans la prochaine version ;o)

@+ Gerinald
Rien ne sert de courir, tout vient à point à qui sait attendre sa distro personnel :)
Gerinald
Growing Hen
 
Posts: 158
Joined: Tue Nov 21, 2006 13:50
Location: Bois d'Haine (Belgique)

Postby Gerinald » Fri Dec 01, 2006 20:34

Bon, rigoler pas, mais je continue la saga MDR

Têtu comme je suis, j'ai encore tenté un revdep, et encore une saleté d'erreur.

Code: Select all
emerge: there are no ebuilds to satisfy "=net-print/gnome-cups-manager-0.31-r1".


Si si, on continue ............. je m'amuse comme un fou :twisted: :twisted:

Vous avez déjà vu voler un portable MDR

@+GG
Rien ne sert de courir, tout vient à point à qui sait attendre sa distro personnel :)
Gerinald
Growing Hen
 
Posts: 158
Joined: Tue Nov 21, 2006 13:50
Location: Bois d'Haine (Belgique)

Next

Return to French

Who is online

Users browsing this forum: No registered users and 1 guest